/**     ***********************  TO BE REMOVED  ***********************    **/
a {
  color: gray;
  text-decoration: none;
}
.breadcrumbBand
{
    background: rgb(101, 101, 101);
    height: 2.6em;
    width: inherit;
    clear: both;
    margin-right: auto;
    margin-left: auto;
}
.breadcrumbHolder
{
    width: inherit; /*1024px;*/
    color: rgb(221, 221, 221);
    clear: both;
    font-size: 0.8em;
    background-color: rgb(101, 101, 101);
    margin-right: auto;
    margin-left: auto;
}
.breadcrumbHolder .breadcrumbs
{
    list-style: none;
    margin: 0px;
    padding: 0px;
    float: left;
}
.breadcrumbHolder .previous
{
    color: rgb(187, 187, 187);
}
.breadcrumbHolder .right.breadcrumbs
{
    float: right;
}
.breadcrumbHolder .breadcrumbs li
{
    margin: 0px 0.5em 0px 0px;
    line-height: 3.4em;
    float: left;
}
.breadcrumbHolder .right.breadcrumbs li
{
    margin: 0px 0px 0px 0.5em;
}
.breadcrumbHolder .btn
{
    font-size: 1em;
    margin-top: 0.4em;
}
.breadcrumbHolder a
{
    font-size: 1em;
    background-image: none;
    color: gray;
    line-height: 1.2em;
}
.breadcrumbHolder a.aspNetDisabled
{
    border-width: 0px;
    font-size: 1em;
    background-image: none;
    color: rgb(0,0,0);
    margin: 0px;
    padding: 0px;
    line-height: 1.2em;
}


.breadcrumbHolder i
{
    margin: 0px 0px -12px -5px;
    width: 28px;
    height: 26px;
    display: inline-block;
    position: relative;
    background-repeat: no-repeat;
}

.panelIconHome
{
    margin-top: 9px !important;
    margin-left: 0px !important;
    background-image: url("../Images/template/icons/icon_home_dark.png");
}

.buttonIconUser
{
    background-image: url("../Images/template/icons/buttons/icon_user_dark.png");
    background-repeat: no-repeat;
}

.buttonIconLogout
{
    background-image: url("../Images/template/icons/buttons/icon_logout_dark.png");
    background-repeat: no-repeat;
}

#userPopup{display:none}
/****************************************************************************/
/****************************************************************************/
/****************************************************************************/


/**     ***********************  Color  ***********************    **/
.bg2-primary {
    background: rgb(66,105,168);
    background: linear-gradient(90deg, rgba(66,105,168,1) 0%, rgba(82,129,205,1) 35%); 
    color:#fff;
}

.bg2-secondary {
    background: rgb(168,168,168);
    background: linear-gradient(90deg, rgba(168,168,168,1) 0%, rgba(207,207,207,1) 35%);
    color:#000;
}

.bg2-success {
    background: rgb(3, 159, 23);
    background: linear-gradient(90deg, rgb(3, 159, 23) 0%, rgb(45, 200, 65) 35%);
    color:#fff;
}

.bg2-danger {
    background: rgb(231,39,39);
    background: linear-gradient(90deg, rgba(231,39,39,1) 0%, rgba(233,83,83,1) 35%); 
    color:#fff;
}

.bg2-warning {
    background: rgb(217,183,0);
    background: linear-gradient(90deg, rgba(217,183,0,1) 0%, rgba(245,218,72,1) 35%);  
    color:#000;
}

.bg2-info {
    background: rgb(0,159,173);
    background: linear-gradient(90deg, rgba(0,159,173,1) 0%, rgba(0,234,255,1) 35%); 
    color:#fff;
}

.bg2-light {
    background: rgb(179,179,179);
    background: linear-gradient(90deg, rgba(179,179,179,1) 0%, rgba(233,233,233,1) 35%); 
    color:#000;
}

.bg2-dark {
    background: rgb(55,55,55);
    background: linear-gradient(90deg, rgba(55,55,55,1) 0%, rgba(134,134,134,1) 35%); 
    color:#fff;
}

.gradient-primary {
    background: rgb(95,142,255);
    background: -moz-linear-gradient(180deg, rgba(95,142,255,1) 0%, rgba(171,200,255,1) 24%, rgba(57,118,215,1) 90%);
    background: -webkit-linear-gradient(180deg, rgba(95,142,255,1) 0%, rgba(171,200,255,1) 24%, rgba(57,118,215,1) 90%);
    background: linear-gradient(180deg, rgba(95,142,255,1) 0%, rgba(171,200,255,1) 24%, rgba(57,118,215,1) 90%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#5f8eff",endColorstr="#3976d7",GradientType=1);
}

.gradient-secondary {
    background: rgb(187,187,187);
    background: -moz-linear-gradient(180deg, rgba(187,187,187,1) 0%, rgba(231,231,231,1) 24%, rgba(164,164,164,1) 90%);
    background: -webkit-linear-gradient(180deg, rgba(187,187,187,1) 0%, rgba(231,231,231,1) 24%, rgba(164,164,164,1) 90%);
    background: linear-gradient(180deg, rgba(187,187,187,1) 0%, rgba(231,231,231,1) 24%, rgba(164,164,164,1) 90%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#bbbbbb",endColorstr="#a4a4a4",GradientType=1);
}

.gradient-success {
    background: rgb(95,255,115);
    background: -moz-linear-gradient(180deg, rgba(95,255,115,1) 0%, rgba(209,255,215,1) 24%, rgba(57,215,74,1) 90%);
    background: -webkit-linear-gradient(180deg, rgba(95,255,115,1) 0%, rgba(209,255,215,1) 24%, rgba(57,215,74,1) 90%);
    background: linear-gradient(180deg, rgba(95,255,115,1) 0%, rgba(209,255,215,1) 24%, rgba(57,215,74,1) 90%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#5fff73",endColorstr="#39d74a",GradientType=1);
}

.gradient-danger {
    background: rgb(255,95,95);
    background: -moz-linear-gradient(180deg, rgba(255,95,95,1) 0%, rgba(255,171,171,1) 24%, rgba(215,57,57,1) 90%);
    background: -webkit-linear-gradient(180deg, rgba(255,95,95,1) 0%, rgba(255,171,171,1) 24%, rgba(215,57,57,1) 90%);
    background: linear-gradient(180deg, rgba(255,95,95,1) 0%, rgba(255,171,171,1) 24%, rgba(215,57,57,1) 90%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#ff5f5f",endColorstr="#d73939",GradientType=1);
}

.gradient-warning {
    background: rgb(255,230,95);
    background: -moz-linear-gradient(180deg, rgba(255,230,95,1) 0%, rgba(255,250,224,1) 24%, rgba(215,193,57,1) 90%);
    background: -webkit-linear-gradient(180deg, rgba(255,230,95,1) 0%, rgba(255,250,224,1) 24%, rgba(215,193,57,1) 90%);
    background: linear-gradient(180deg, rgba(255,230,95,1) 0%, rgba(255,250,224,1) 24%, rgba(215,193,57,1) 90%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#ffe65f",endColorstr="#d7c139",GradientType=1);
}

.gradient-info {
    background: rgb(95,242,255);
    background: -moz-linear-gradient(180deg, rgba(95,242,255,1) 0%, rgba(171,248,255,1) 24%, rgba(57,202,215,1) 90%);
    background: -webkit-linear-gradient(180deg, rgba(95,242,255,1) 0%, rgba(171,248,255,1) 24%, rgba(57,202,215,1) 90%);
    background: linear-gradient(180deg, rgba(95,242,255,1) 0%, rgba(171,248,255,1) 24%, rgba(57,202,215,1) 90%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#5ff2ff",endColorstr="#39cad7",GradientType=1);
}

.gradient-light {
    background: rgb(233,233,233);
    background: -moz-linear-gradient(180deg, rgba(233,233,233,1) 0%, rgba(255,255,255,1) 24%, rgba(215,215,215,1) 90%);
    background: -webkit-linear-gradient(180deg, rgba(233,233,233,1) 0%, rgba(255,255,255,1) 24%, rgba(215,215,215,1) 90%);
    background: linear-gradient(180deg, rgba(233,233,233,1) 0%, rgba(255,255,255,1) 24%, rgba(215,215,215,1) 90%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#e9e9e9",endColorstr="#d7d7d7",GradientType=1);
}

.gradient-dark {
    background: rgb(152,152,152);
    background: -moz-linear-gradient(180deg, rgba(152,152,152,1) 0%, rgba(209,209,209,1) 24%, rgba(119,119,119,1) 90%);
    background: -webkit-linear-gradient(180deg, rgba(152,152,152,1) 0%, rgba(209,209,209,1) 24%, rgba(119,119,119,1) 90%);
    background: linear-gradient(180deg, rgba(152,152,152,1) 0%, rgba(209,209,209,1) 24%, rgba(119,119,119,1) 90%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#989898",endColorstr="#777777",GradientType=1);
}

.breadcrumbHolderNavTrail a.aspNetDisabled {
    border-width: 1px;
    border-style: solid;
    border-color: rgb(204, 204, 204) rgb(204, 204, 204) rgb(187, 187, 187);
    margin: 0px 0.4em 0.4em 0px;
    padding: 0em 1.5em;
    border-radius: 0.4em;
    height: 2.2em;
    color: rgb(102, 102, 102);
    line-height: 2.2em;
    font-size: 0.8em;
    display: inline-block;
}


a.aspNetDisabled {
    --bs-btn-padding-x: 0.75rem;
    --bs-btn-padding-y: 0.375rem;
    --bs-btn-color: var(--bs-body-color);
    --bs-btn-border-width: var(--bs-border-width);
    --bs-btn-border-radius: var(--bs-border-radius);
    padding: var(--bs-btn-padding-y) var(--bs-btn-padding-x);
    -moz-user-select: none;
    border: var(--bs-btn-border-width) solid var(--bs-btn-border-color);
    border-radius: var(--bs-btn-border-radius);
    --bs-btn-color: #8f9193;
    --bs-btn-border-color: #8f9193;
   
}



/*
.alert-primary tbody tr:hover {
    background-color: #cce5ff80 !important;
}

.alert-secondary tbody tr:hover {
    background-color: #e2e3e580 !important;
}

.alert-success tbody tr:hover {
    background-color: #d4edda80 !important;
}

.alert-danger tbody tr:hover {
    background-color: #f8d7da80 !important;
}

.alert-warning tbody tr:hover {
    background-color: #fff3cd80 !important;
}

.alert-info tbody tr:hover {
    background-color: #d1ecf180 !important;
}

.alert-light tbody tr:hover {
    background-color: #fefefe80 !important;
}

.alert-dark tbody tr:hover {
    background-color: #d6d8d980 !important;
}

*/


body, html {
    height: 100%;
}

.bg {
    height: 100%;
    background-image: url(../Images/background.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
} 

.dashMenu {
    list-style: none;
    margin: 0px;
    padding: 0px;
}

    .dashMenu li {
        line-height: 2em;
        font-size: 1.2em;
        margin: 5px;
        float: left;
        width:100%;
    }

        .dashMenu li:hover {
            box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
            border-radius: 10px;
        }

    .dashMenu a i {
        margin-top: 15px;
        font-size: 30px !important;
    }

.menu-btn {
    width: 100%;
    height: 73px;
    position: relative;
    border-radius: 10px;
    border: 1px solid rgb(204, 204, 204);
    padding: 0.3rem 2rem;
    display: block;
    color: white !important;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
    text-shadow: 1px 1px grey;
    font: bold 1em Arial, sans-serif;
}
.menu-btn:hover{
	color: #f4da50 !important;
}

fieldset {
    background: rgb(255, 255, 255);
    padding: 0.5em 0.5em 0.5em 0.5em;
    border-radius: 0.3em;
    border: 1px solid rgb(204, 204, 204);
}

legend {
    width: unset;
    padding: 0 5px;
}

button i, a i, span i {
    padding-right: 10px;
}


@media (min-width: 768px) {
    .dashMenu li {
        width: 48%;
    }
}

ol li {
    list-style: none;
}

    ol li a:hover {
        color: rgb(66,105,168) !important;
    }

/***  Menu  ***/

.dropdown-submenu {
    position: relative;
}

    .dropdown-submenu a::after {
        transform: rotate(-90deg);
        position: absolute;
        right: 6px;
        top: .8em;
        box-sizing: content-box;
    }

    .dropdown-submenu a::before {
        box-sizing: content-box;
    }

    .dropdown-submenu .dropdown-menu {
        top: 100%;
        left: 10%;
        padding-left: 10px;
    }

.nav-tabs .dropdown-menu {
    color: #5984b9;
    background-color: #547fc3;
    border: 2px solid #3f3055;
    border-radius: 5px 5px 5px 5px;
    box-shadow: rgba(0, 0, 0, 0.5) 0px 3px 8px;
    background-image: linear-gradient(#4269a8, #5281cd);
    width: max-content;
}

.adrop {
    color: #f4f4f4;
    text-decoration: none;
    background-color: transparent;
}

.alink {
    color: #f4f4f4;
    text-decoration: none;
    background-color: transparent;
}

a.adrop:hover {
    color: #f4da50;
    text-decoration: none;
}

a.alink:hover {
    color: #f4da50;
    text-decoration: none;
}

.whiteLable {
    color: #f4f4f4;
}

.navbar {
    border-radius: 4px;
}

.nav-tabs {
    border-bottom: 0px solid #dee2e6;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
}

    .nav-tabs > li {
        float: left;
        margin-bottom: -1px;
    }

.nav > li {
    position: relative;
    display: block;
}

.nav-tabs > li > a {
    margin-right: 2px;
    line-height: 1.42857143;
    border: 1px solid transparent;
    border-radius: 4px 4px 0 0;
}

.nav > li > a {
    position: relative;
    display: block;
    padding: 10px 15px;
}

.caret {
    display: inline-block;
    width: 0;
    height: 0;
    margin-left: 2px;
    vertical-align: middle;
    border-top: 4px dashed;
    border-right: 4px solid transparent;
    border-left: 4px solid transparent;
}

.nav-tabs .dropdown-menu .caret {
    border-top: 4px solid transparent;
    border-left: 4px dashed;
    border-bottom: 4px solid transparent;
}

#spanUser {
    display: none;
}

@media (min-width: 992px) {
    .navbar-expand-lg .nav-tabs {
        -ms-flex-direction: row;
        flex-direction: row;
    }

    #spanUser {
        display: unset;
    }
}
/***  Menu  ***/

/***  Screen Elements ***/
.hide
{
    display: none;
}
.required
{
    border: 1px solid #eb1c12;
    -webkit-box-shadow: 0px 0px 10px 3px #eb12124f;
    -moz-box-shadow: 0px 0px 10px 3px #eb12124f;
    box-shadow: 0px 0px 10px 3px #eb12124f;
}
legend
{
    float:unset;
}


/**     ***********************  Data Table  ***********************    **/
table tr td {
    background-color:  unset !important;
    
} 

tbody tr.odd {
    border: 1px solid lightgrey;
}

table tr.even {
    background-color: #eee !important;
    border: 1px solid lightgrey;
}

.table-primary .dataTables_wrapper .dataTables_paginate .paginate_button:hover 
{
   color: #181717 !important;
   background: linear-gradient(to bottom, #a5c6f8 0%, #7096cf 100%) !important;

  
}

.table-primary .dataTables_wrapper .dataTables_paginate .paginate_button.current
{
   color: #ebe6e6 !important;
    background: linear-gradient(to bottom, #cfe2ff 0%, #a4c5f7 100%) !important;  
}

.dataTables_wrapper .dataTables_filter input:focus {
    color: var(--bs-body-color);
    background-color: var(--bs-body-bg);
    border-color: #86b7fe;
    outline: 0;
    box-shadow: 0 0 0 .25rem rgba(13, 110, 253, .25);
}

.dataTables_wrapper .dataTables_length label {
    margin: 5px;
}

.dataTables_wrapper .dataTables_filter input {
    margin: 5px;
}

table.dataTable 
{
   width: 100% !important;
    }
    
.input-group-text {
  background-color: var(--bs-warning-bg-subtle);
}

.dashboardIconCONFIG {


}

  
 /****************************************************************************/
/****************************************************************************/
/****************************************************************************/

/**     ***********************  Overlay and Spinners  ***********************    **/

#overlaySpinner {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 99999;
    width: 100vw;
    height: 100vh;
    display: none;
    background: rgba(0,0,0,0.6);
}

.cv-spinner {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.spinner {
    width: 40px;
    height: 40px;
    border: 4px #ddd solid;
    border-top: 4px #2e93e6 solid;
    border-radius: 50%;
    animation: sp-anime 0.8s infinite linear;
}

@keyframes sp-anime {
    100% {
        transform: rotate(360deg);
    }
}

.is-hide {
    display: none;
}